package com.tutego.insel.solutions.io;

import java.io.*;
import java.util.*;

public class FamilyNames
{
  @SuppressWarnings("all")
  public static void main( String args[] )
  {
    final int MAXLEN = 20;

    ArrayList[] listen = new ArrayList[ MAXLEN ];

    for ( int i = 0; i < listen.length; i++ )
      listen[ i ] = new ArrayList<String>();

    try
    {
      RandomAccessFile datei = new RandomAccessFile( "c:\\family-names.txt", "r" );

      String s;

      while ( (s = datei.readLine()) != null )
        listen[ s.length() ].add( s );

      for ( int i = 0; i < listen.length; i++ )
      {
        System.out.println( "Folgende Namen haben " + i + " Zeichen:" );

        for ( int j = 0; j < listen[ i ].size(); j++ )
          System.out.println( listen[ i ].get( j ) );
      }
    }
    catch ( IOException e )
    {
      e.printStackTrace();
    }
  }
}