package com.tutego.insel.solutions.jdbc;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

public class SimplePostgreSQLAccess
{
  public static void main( String[] args )
  {
    Connection dbConn;
    Statement sqlStmt;
    ResultSet rSet;

    try
    {
//        Class.forName( "com.mysql.jdbc.Driver" );
        Class.forName( "org.postgresql.Driver" );
    }
    catch ( ClassNotFoundException e )
    {
      e.printStackTrace();
    }

    try
    {
//      String URL = "jdbc:mysql://localhost/GeoDaten";
      String url = "jdbc:postgresql://localhost/GeoDaten";
      dbConn = DriverManager.getConnection( url, "postgres", "admin" );
      sqlStmt = dbConn.createStatement();
      String s = "select * from geodb_adm0";
      rSet = sqlStmt.executeQuery( s );
    }
    catch ( Exception e )
    {
      e.printStackTrace();
      return;
    }

    try  {
      while ( rSet.next() ) {
      System.out.println ( rSet.getString(1) + "\t" +
                 rSet.getString(2) );
      }
      sqlStmt.close();
      dbConn.close();
    }
    catch ( Exception e ) {
      System.out.println( "Fehler bei Tabellenabfrage" );
    }
  }
}
