package com.tutego.insel.solutions.lang;

import java.io.*;
import java.util.HashMap;
import java.util.StringTokenizer;

public class FrequenzLeser
{
  private static HashMap<String, Double> map = new HashMap<String, Double>();

  static
  {
    try
    {
      RandomAccessFile lesen = new RandomAccessFile( "c:/freq.txt", "r" );

      String zeile1, zeile2;

      while ( true )
      {
        zeile1 = lesen.readLine();

        if ( zeile1 == null )
          break;

        zeile2 = lesen.readLine();

        if ( zeile2 == null )
          break;

        String freqString = new StringTokenizer( zeile2 ).nextToken()
            .replace( ',', '.' );

        double freq = Double.parseDouble( freqString );

        map.put( zeile1, new Double( freq ) );

        // System.out.println(zeile1 + " : " + freq);
      }
    }
    catch ( IOException e )
    {
      System.err.println( "Fehler beim Dateizugriff" );
    }
  }

  static double toFreq( String s )
  {
    Object o = map.get( s );

    return ((Double) o).doubleValue();
  }

  public static void main( String args[] )
  {
    toFreq( "SWR 1" );
  }
}