package com.tutego.insel.solutions.util;

import java.util.*;
import java.io.UnsupportedEncodingException;
import java.net.*;

public class BinProperty extends Properties
{
  public void putBin( String s, byte[] b )
  {
    try
    {
      setProperty( s, URLEncoder.encode( new String( b ), "UTF-8" ) );
    }
    catch ( UnsupportedEncodingException e )
    {
      e.printStackTrace();
    }
  }

  public byte[] getBin( String key )
  {
    String val = "";

    try
    {
      val = getProperty( URLDecoder.decode( key, "UTF-8" ) );
    }
    catch ( Exception e )
    {
      e.printStackTrace();
    }

    return val.getBytes();
  }

  public static void main( String args[] )
  {
    BinProperty bin = new BinProperty();

    // rein

    byte bs[] = "%d#ß?=)/".getBytes();

    bin.putBin( "Eins", bs );

    // raus

    bs = bin.getBin( "Eins" );

    System.out.println( bin.getProperty( "Eins" ) );

    System.out.println( bs );
  }
}