import java.io.*;
import java.net.*;

public class ImageRetriever extends Thread {
	
	private String   path;
	private SmartURL url;
	
	public ImageRetriever(String p, SmartURL u) {
		path = p;
		url  = u;
	}


	public void run() {
		URLConnection     uc;
		InputStream       is;
		FileOutputStream  fos;
		int               b;

		try {
			uc = url.openConnection();
			is = uc.getInputStream();

			fos = new FileOutputStream(path);
	
			while ((b = is.read()) != -1) 
				fos.write(b);

			is.close();      
			fos.close();
		}
		catch(IOException e) {
			System.out.println("Error : " + e.getMessage());
			e.printStackTrace();
		}
	
	}

