package com.tutego.insel.solutions.array;

public class Aufzaehler
{
  public static void main( String args[] )
  {
    char ausdruck[] = "1 - 2 * 3 / 4".toCharArray();

    readTerm( ausdruck );
  }

  static String[] writtenNumbers =
  {
      "Null", "Eins", "Zwei", "Drei", "Vier", "Fuenf", "Sechs", "Sieben",
      "Acht", "Neun"
  };

  static void readTerm( char[] characters )
  {
    for ( int i = 0; i < characters.length; i++ )
    {
      String ausgabe = "";

      char c = characters[i];

      if ( c >= '0' && c <= '9' )
      {
        int index = c - '0';
        ausgabe = writtenNumbers[index] + " ";
      }
      else
      {
        switch ( c )
        {
          case ' ':
          case '\t':
            break;
          case '+':
            ausgabe = "plus ";
            break;
          case '-':
            ausgabe = "minus ";
            break;
          case '*':
            ausgabe = "mal ";
            break;
          case '/':
            ausgabe = "geteilt durch ";
            break;
          default :
            ausgabe = "nicht gueltig ";
        }
      }
      System.out.print( ausgabe );
    }
  }
}