package com.tutego.insel.solutions.io;

import java.io.*;

public class FindFile
{
  public static void main( String args[] )
  {
    System.out.println( findFile( "C:/", "brndlog.txt" ) );
  }

  public static String findFile( String path, String search )
  {
    System.out.println( "Teste Verzeichnis " + path );
    File f = new File( path );
    File files[] = f.listFiles();

    for ( int i = 0; i < files.length; i++ )
    {
      if ( files[i].getName().equals( search ) )
        return files[i].getName();
      else if ( files[i].isDirectory() )
      {
        String find = findFile( files[i].getAbsolutePath(), search );
        if ( find != null )
          return files[i].getAbsolutePath() + File.separatorChar + search;
      }
    }
    return null;
  }
}