package com.tutego.insel.solutions.net;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;

public class ReadStringFromURL
{
  public static void main( String[] args )
  {
    System.out.println( readFileFromUrl( "http://10.72.64.180/aufgaben/Bond.txt" ) );
  }

  static public String readFileFromUrl( String sUrl )
  {
    StringBuilder sb = new StringBuilder( 1024 );

    String linesep = System.getProperty( "line.separator" );

    try
    {
      URL url = new URL( sUrl );
      InputStream is = url.openStream();
      BufferedReader data = new BufferedReader( new InputStreamReader( is ) );
      String line;

      while ( (line = data.readLine()) != null )
        sb.append( line ).append( linesep );

      is.close();   // TODO: In einen finally-Block
    }
    catch ( MalformedURLException e )
    {
      System.out.println( "MalformedURLException" );
      System.out.println( e );
    }
    catch ( IOException e )
    {
      System.out.println( "IOException" );
      System.out.println( e );
    }
    catch ( Exception e )
    {
      System.out.println( "Other Error" );
      System.out.println( e );
    }

    return sb.toString();
  }
}