package com.tutego.insel.solutions.ui.swing;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

class InfoFrame extends JFrame
{
  private static final long serialVersionUID = -7091201889877959401L;

  InfoFrame()
	{
		// Layout
		
		getContentPane ().setLayout ( new BorderLayout() );
		setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
		
		ImageIcon icon = new ImageIcon("C:/projekte/kannichhelfen.jpg");
		ImageIcon icon1 = new ImageIcon("C:/projekte/i_ok.gif");
		
		final JLabel pic = new JLabel( icon );
		final JLabel info = new JLabel( "Info" );
		final JButton ok = new JButton( "OK", icon1 );
		
		ok.setHorizontalTextPosition( JButton.LEFT );
		
		JPanel okpanel = new JPanel();
		okpanel.setLayout( new FlowLayout() );
		okpanel.add( ok );
		
		new Thread( new Runnable() {
					@Override
          public void run()
					{
						try
						{
							ok.setEnabled(false);
							Thread.sleep( 2000 );
							ok.setEnabled(true);
							
						}
						catch ( InterruptedException e ) {}
					}
				}).start();
		
		JPanel pane2 = new JPanel();
		pane2.setLayout( new BorderLayout() );
		
		pane2.add( pic, BorderLayout.CENTER );
		pane2.add( info, BorderLayout.SOUTH );
		
		pane2.setBorder( BorderFactory.createTitledBorder(
											BorderFactory.createEtchedBorder(),
											"HelpPanel")
									 );
		
		getContentPane().add( pane2,BorderLayout.CENTER );
		getContentPane().add( okpanel, BorderLayout.SOUTH );
		
		pack();
		
		// Ereignisbehandlung
		
		ok.addActionListener( new ActionListener() {
					@Override
          public void actionPerformed( ActionEvent e ) {
						dispose();
						System.exit(0);
					}
				} );
	}
}

public class EnableButton
{
	public static void main( String args[] )
	{
		new InfoFrame().setVisible( true );
	}
}
