package com.tutego.insel.solutions.ui.swing;

import java.io.File;

import javax.swing.AbstractListModel;

@SuppressWarnings("all")
public class FileListModel extends AbstractListModel
{
  private static final long serialVersionUID = 4093757728653535566L;

  private File files[];

  public FileListModel( String path )
  {
    files = new File( path ).listFiles();
  }

  @Override
  public Object getElementAt( int index )
  {
    return files[index];
  }

  @Override
  public int getSize()
  {
    return files.length;
  }
}
